Jump to content
  • Checkout
  • Login
  • Get in touch

osCommerce

The e-commerce.

Headers already sent error (new apache install)


Barido

Recommended Posts

Hi I recently installed OpenSA -an apache release which comes with ssl preconfigured. (I was wanting to test the new security features on MS2.2 on my windows box at home)

 

Everything worked absolutely perfect. Untill....I process an order, on the last stage when the order submits I get the following error:

 

Warning: Failed to Connect in c:workserverincludesclassesemail.php on line 502

 

Warning: Cannot add header information - headers already sent by (output started at c:workserverincludesclassesemail.php:502) in c:workserverincludesfunctionsgeneral.php on line 29

 

This occurs with ssl enabled or disabled under configure.php on a fresh install. It didnt occur on my old apache install. So pretty sure it's an Apache config setting, or maybe even php.ini as the OpenSA seemed to fiddle with it ( I had to reactivate globals).

 

If someone could point me in the right direction to solving this i'd really appreciate it.

Link to comment
Share on other sites

Archived

This topic is now archived and is closed to further replies.

×
×
  • Create New...